- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# device_node Struct Reference

`#include <device.h>`

Collaboration diagram for device_node:

[legend]

## Data Fields
device_interface * | devInfo
device_resource * | devRec
int | minor
device_node * | next
device_node * | prev
char | type

## Detailed Description

Definition at line 35 of file device.h.

## Field Documentation

struct device_interface* device_node::devInfo

Definition at line 38 of file device.h.

Referenced by devfs_open(), devfs_read(), devfs_write(), device_add(), device_find(), dskread(), fdcInit2(), hdInit(), openFileUbixFS(), syncBat(), ubixfs_initialize(), ubixfs_loadData(), ubixFSmkDir(), ubixFSUnlink(), and writeUbixFS().

struct device_resource* device_node::devRec

Definition at line 39 of file device.h.

int device_node::minor

Definition at line 41 of file device.h.

Referenced by device_add(), and device_find().

struct device_node* device_node::next

Definition at line 37 of file device.h.

Referenced by device_add(), device_find(), and device_remove().

struct device_node* device_node::prev

Definition at line 36 of file device.h.

Referenced by device_add().

char device_node::type

Definition at line 40 of file device.h.

Referenced by device_add().

The documentation for this struct was generated from the following file:

- src/sys/include/sys/device.h